Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface AssociationBranchType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AssociationBranchTypeImpl

    public interface AssociationBranchType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Association Branch Type'.

The following features are supported:

- `Association Filter`
- `External Link Filter`
- `External Identifier Filter`
- `Registry Object Query`
- `Registry Entry Query`
- `Association Query`
- `Classification Query`
- `Classification Scheme Query`
- `Classification Node Query`
- `Organization Query`
- `Auditable Event Query`
- `Registry Package Query`
- `Extrinsic Object Query`
- `Service Query`
- `User Branch`
- `Service Binding Branch`
- `Specification Link Branch`

See Also:
  `QueryPackage.getAssociationBranchType()`

Method Summary
`FilterType` | `getAssociationFilter()` Returns the value of the 'Association Filter' containment reference.
`AssociationQueryType` | `getAssociationQuery()` Returns the value of the 'Association Query' containment reference.
`AuditableEventQueryType` | `getAuditableEventQuery()` Returns the value of the 'Auditable Event Query' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeQuery()` Returns the value of the 'Classification Node Query' containment reference.
`ClassificationQueryType` | `getClassificationQuery()` Returns the value of the 'Classification Query' containment reference.
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()` Returns the value of the 'Classification Scheme Query' containment reference.
`FilterType` | `getExternalIdentifierFilter()` Returns the value of the 'External Identifier Filter' containment reference.
`FilterType` | `getExternalLinkFilter()` Returns the value of the 'External Link Filter' containment reference.
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()` Returns the value of the 'Extrinsic Object Query' containment reference.
`OrganizationQueryType` | `getOrganizationQuery()` Returns the value of the 'Organization Query' containment reference.
`RegistryEntryQueryType` | `getRegistryEntryQuery()` Returns the value of the 'Registry Entry Query' containment reference.
`RegistryObjectQueryType` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference.
`RegistryPackageQueryType` | `getRegistryPackageQuery()` Returns the value of the 'Registry Package Query' containment reference.
`ServiceBindingBranchType` | `getServiceBindingBranch()` Returns the value of the 'Service Binding Branch' containment reference.
`ServiceQueryType` | `getServiceQuery()` Returns the value of the 'Service Query' containment reference.
`SpecificationLinkBranchType` | `getSpecificationLinkBranch()` Returns the value of the 'Specification Link Branch' containment reference.
`UserBranchType` | `getUserBranch()` Returns the value of the 'User Branch' containment reference.
`void` | `setAssociationFilter(FilterType value)` Sets the value of the '`Association Filter`' containment reference.
`void` | `setAssociationQuery(AssociationQueryType value)` Sets the value of the '`Association Query`' containment reference.
`void` | `setAuditableEventQuery(AuditableEventQueryType value)` Sets the value of the '`Auditable Event Query`' containment reference.
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Query`' containment reference.
`void` | `setClassificationQuery(ClassificationQueryType value)` Sets the value of the '`Classification Query`' containment reference.
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType value)` Sets the value of the '`Classification Scheme Query`' containment reference.
`void` | `setExternalIdentifierFilter(FilterType value)` Sets the value of the '`External Identifier Filter`' containment reference.
`void` | `setExternalLinkFilter(FilterType value)` Sets the value of the '`External Link Filter`' containment reference.
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)` Sets the value of the '`Extrinsic Object Query`' containment reference.
`void` | `setOrganizationQuery(OrganizationQueryType value)` Sets the value of the '`Organization Query`' containment reference.
`void` | `setRegistryEntryQuery(RegistryEntryQueryType value)` Sets the value of the '`Registry Entry Query`' containment reference.
`void` | `setRegistryObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Registry Object Query`' containment reference.
`void` | `setRegistryPackageQuery(RegistryPackageQueryType value)` Sets the value of the '`Registry Package Query`' containment reference.
`void` | `setServiceBindingBranch(ServiceBindingBranchType value)` Sets the value of the '`Service Binding Branch`' containment reference.
`void` | `setServiceQuery(ServiceQueryType value)` Sets the value of the '`Service Query`' containment reference.
`void` | `setSpecificationLinkBranch(SpecificationLinkBranchType value)` Sets the value of the '`Specification Link Branch`' containment reference.
`void` | `setUserBranch(UserBranchType value)` Sets the value of the '`User Branch`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociationFilter

    FilterType getAssociationFilter()

  Returns the value of the 'Association Filter' containment reference.

  If the meaning of the 'Association Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Filter' containment reference.
  See Also:
    `setAssociationFilter(FilterType)`, `QueryPackage.getAssociationBranchType_AssociationFilter()`

### setAssociationFilter

    void setAssociationFilter(FilterType value)

  Sets the value of the '`Association Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Filter' containment reference.
  See Also:
    `getAssociationFilter()`

### getExternalLinkFilter

    FilterType getExternalLinkFilter()

  Returns the value of the 'External Link Filter' containment reference.

  If the meaning of the 'External Link Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Link Filter' containment reference.
  See Also:
    `setExternalLinkFilter(FilterType)`, `QueryPackage.getAssociationBranchType_ExternalLinkFilter()`

### setExternalLinkFilter

    void setExternalLinkFilter(FilterType value)

  Sets the value of the '`External Link Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'External Link Filter' containment reference.
  See Also:
    `getExternalLinkFilter()`

### getExternalIdentifierFilter

    FilterType getExternalIdentifierFilter()

  Returns the value of the 'External Identifier Filter' containment reference.

  If the meaning of the 'External Identifier Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier Filter' containment reference.
  See Also:
    `setExternalIdentifierFilter(FilterType)`, `QueryPackage.getAssociationBranchType_ExternalIdentifierFilter()`

### setExternalIdentifierFilter

    void setExternalIdentifierFilter(FilterType value)

  Sets the value of the '`External Identifier Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'External Identifier Filter' containment reference.
  See Also:
    `getExternalIdentifierFilter()`

### getRegistryObjectQuery

    RegistryObjectQueryType getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference.

  If the meaning of the 'Registry Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAssociationBranchType_RegistryObjectQuery()`

### setRegistryObjectQuery

    void setRegistryObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Registry Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `getRegistryObjectQuery()`

### getRegistryEntryQuery

    RegistryEntryQueryType getRegistryEntryQuery()

  Returns the value of the 'Registry Entry Query' containment reference.

  If the meaning of the 'Registry Entry Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getAssociationBranchType_RegistryEntryQuery()`

### setRegistryEntryQuery

    void setRegistryEntryQuery(RegistryEntryQueryType value)

  Sets the value of the '`Registry Entry Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `getRegistryEntryQuery()`

### getAssociationQuery

    AssociationQueryType getAssociationQuery()

  Returns the value of the 'Association Query' containment reference.

  If the meaning of the 'Association Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `setAssociationQuery(AssociationQueryType)`, `QueryPackage.getAssociationBranchType_AssociationQuery()`

### setAssociationQuery

    void setAssociationQuery(AssociationQueryType value)

  Sets the value of the '`Association Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Query' containment reference.
  See Also:
    `getAssociationQuery()`

### getClassificationQuery

    ClassificationQueryType getClassificationQuery()

  Returns the value of the 'Classification Query' containment reference.

  If the meaning of the 'Classification Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationQuery()`

### setClassificationQuery

    void setClassificationQuery(ClassificationQueryType value)

  Sets the value of the '`Classification Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Query' containment reference.
  See Also:
    `getClassificationQuery()`

### getClassificationSchemeQuery

    ClassificationSchemeQueryType getClassificationSchemeQuery()

  Returns the value of the 'Classification Scheme Query' containment reference.

  If the meaning of the 'Classification Scheme Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationSchemeQuery()`

### setClassificationSchemeQuery

    void setClassificationSchemeQuery(ClassificationSchemeQueryType value)

  Sets the value of the '`Classification Scheme Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `getClassificationSchemeQuery()`

### getClassificationNodeQuery

    ClassificationNodeQueryType getClassificationNodeQuery()

  Returns the value of the 'Classification Node Query' containment reference.

  If the meaning of the 'Classification Node Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationNodeQuery()`

### setClassificationNodeQuery

    void setClassificationNodeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `getClassificationNodeQuery()`

### getOrganizationQuery

    OrganizationQueryType getOrganizationQuery()

  Returns the value of the 'Organization Query' containment reference.

  If the meaning of the 'Organization Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getAssociationBranchType_OrganizationQuery()`

### setOrganizationQuery

    void setOrganizationQuery(OrganizationQueryType value)

  Sets the value of the '`Organization Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query' containment reference.
  See Also:
    `getOrganizationQuery()`

### getAuditableEventQuery

    AuditableEventQueryType getAuditableEventQuery()

  Returns the value of the 'Auditable Event Query' containment reference.

  If the meaning of the 'Auditable Event Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getAssociationBranchType_AuditableEventQuery()`

### setAuditableEventQuery

    void setAuditableEventQuery(AuditableEventQueryType value)

  Sets the value of the '`Auditable Event Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `getAuditableEventQuery()`

### getRegistryPackageQuery

    RegistryPackageQueryType getRegistryPackageQuery()

  Returns the value of the 'Registry Package Query' containment reference.

  If the meaning of the 'Registry Package Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getAssociationBranchType_RegistryPackageQuery()`

### setRegistryPackageQuery

    void setRegistryPackageQuery(RegistryPackageQueryType value)

  Sets the value of the '`Registry Package Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `getRegistryPackageQuery()`

### getExtrinsicObjectQuery

    ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Returns the value of the 'Extrinsic Object Query' containment reference.

  If the meaning of the 'Extrinsic Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getAssociationBranchType_ExtrinsicObjectQuery()`

### setExtrinsicObjectQuery

    void setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)

  Sets the value of the '`Extrinsic Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `getExtrinsicObjectQuery()`

### getServiceQuery

    ServiceQueryType getServiceQuery()

  Returns the value of the 'Service Query' containment reference.

  If the meaning of the 'Service Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `setServiceQuery(ServiceQueryType)`, `QueryPackage.getAssociationBranchType_ServiceQuery()`

### setServiceQuery

    void setServiceQuery(ServiceQueryType value)

  Sets the value of the '`Service Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query' containment reference.
  See Also:
    `getServiceQuery()`

### getUserBranch

    UserBranchType getUserBranch()

  Returns the value of the 'User Branch' containment reference.

  If the meaning of the 'User Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `setUserBranch(UserBranchType)`, `QueryPackage.getAssociationBranchType_UserBranch()`

### setUserBranch

    void setUserBranch(UserBranchType value)

  Sets the value of the '`User Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'User Branch' containment reference.
  See Also:
    `getUserBranch()`

### getServiceBindingBranch

    ServiceBindingBranchType getServiceBindingBranch()

  Returns the value of the 'Service Binding Branch' containment reference.

  If the meaning of the 'Service Binding Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Branch' containment reference.
  See Also:
    `setServiceBindingBranch(ServiceBindingBranchType)`, `QueryPackage.getAssociationBranchType_ServiceBindingBranch()`

### setServiceBindingBranch

    void setServiceBindingBranch(ServiceBindingBranchType value)

  Sets the value of the '`Service Binding Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Branch' containment reference.
  See Also:
    `getServiceBindingBranch()`

### getSpecificationLinkBranch

    SpecificationLinkBranchType getSpecificationLinkBranch()

  Returns the value of the 'Specification Link Branch' containment reference.

  If the meaning of the 'Specification Link Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Branch' containment reference.
  See Also:
    `setSpecificationLinkBranch(SpecificationLinkBranchType)`, `QueryPackage.getAssociationBranchType_SpecificationLinkBranch()`

### setSpecificationLinkBranch

    void setSpecificationLinkBranch(SpecificationLinkBranchType value)

  Sets the value of the '`Specification Link Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link Branch' containment reference.
  See Also:
    `getSpecificationLinkBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD